View Issue Details

IDProjectCategoryView StatusLast Update
0023503mantisbtbugtrackerpublic2017-10-28 19:08
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.8.0 
Target Version2.8.0Fixed in Version2.8.0 
Summary0023503: Handler user is visible even if view_handler_threshold is configured to not allow
Description
  • In changelog
  • In roadmap
  • In view_all_bug_page:
    Setting "view_handler_threshold" configuration, regarding one user, with any combination of specific project configuration, or user access levels:
    Project A, allows him to see assigned user
    Project B, is subproject of A, doesn't allows him
    When the user is positioned in project A, and filter is returning issues from project B, assigned user is shown for those issues.
    the option must be evaluted in the context of each issue, not for "current project"
TagsNo tags attached.

Relationships

related to 0009189 acknowledged view_handler_threshold doesn't hide names properly for specific projects 
related to 0023518 closedcproensa "show_assigned_names" configuration is not applied correctly in view_all_bug_page 

Related Changesets

MantisBT: master 84725ae0

2017-10-21 11:26:29

cproensa


Committer: vboctor Details Diff
Fix application of view_handler_threshold

Fix the validation of view_handler_threshold for specific overrides,
instead of checking on only at global level.

Introduce the validation in changelog and roadmap.

Fixes: 0023503
mod - core/access_api.php Diff File
mod - core/columns_api.php Diff File
mod - core/custom_function_api.php Diff File

Issue History

Date Modified Username Field Change
2017-10-19 13:23 cproensa New Issue
2017-10-21 11:25 cproensa Summary Asigned user is visible even if view_handler_threshold is configured to not allow => Handler user is visible even if view_handler_threshold is configured to not allow
2017-10-21 11:25 cproensa Description Updated View Revisions
2017-10-21 11:33 cproensa Assigned To => cproensa
2017-10-21 11:33 cproensa Status new => assigned
2017-10-21 11:33 cproensa Note Added: 0058008
2017-10-21 11:43 cproensa Relationship added related to 0009189
2017-10-22 16:33 cproensa Relationship added related to 0023518
2017-10-22 19:45 vboctor Changeset attached => MantisBT master 84725ae0
2017-10-22 19:45 cproensa Status assigned => resolved
2017-10-22 19:45 cproensa Resolution open => fixed
2017-10-22 19:45 cproensa Fixed in Version => 2.8.0
2017-10-23 02:01 atrol Target Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed